<script setup lang="ts">
import BaseButton from "@/components/BaseButton.vue";

defineEmits<{
  (e: "confirm"): void;
  (e: "cancel"): void;
}>();
</script>

<template>
  <article class="wrapper" id="delete-image-confirmation" role="document">
    <h2 class="heading">Are you sure?</h2>
    <div class="buttons">
      <BaseButton
        class="btn btn-cancel"
        @click="() => $emit('cancel')"
        aria-controls="delete-image-confirmation"
      >
        Cancel
      </BaseButton>
      <BaseButton
        class="btn btn-confirm"
        @click="() => $emit('confirm')"
        aria-controls="delete-image-confirmation"
      >
        Delete
      </BaseButton>
    </div>
  </article>
</template>

<style lang="scss" scoped>
.wrapper {
  padding: 2.4rem 3.2rem 3.2rem;
  display: grid;
  justify-content: center;
  justify-items: center;
}

.heading {
  font-size: 2.4rem;
  line-height: 1.375;
  color: var(--color-dark);
  margin-bottom: 2.8rem;
  width: max-content;
}

.buttons {
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 2.4rem;
}

.btn {
  height: 5rem;
  width: 10rem;
}

.btn-confirm {
  background-color: var(--color-alert);
  box-shadow: var(--box-shadow-size) var(--color-alert-shadow-light);
}
</style>
